Home / Lua API Manual / types / dt_collection_properties_t
< dt_lib_collect_mode_t
dt_collection_sort_t >

# dt_collection_properties_t

`enum`

The different elements on which a collection can be filtered

Values:

- DT_COLLECTION_PROP_FILMROLL
- DT_COLLECTION_PROP_FOLDERS
- DT_COLLECTION_PROP_CAMERA
- DT_COLLECTION_PROP_TAG
- DT_COLLECTION_PROP_DAY
- DT_COLLECTION_PROP_TIME
- DT_COLLECTION_PROP_IMPORT_TIMESTAMP
- DT_COLLECTION_PROP_CHANGE_TIMESTAMP
- DT_COLLECTION_PROP_EXPORT_TIMESTAMP
- DT_COLLECTION_PROP_PRINT_TIMESTAMP
- DT_COLLECTION_PROP_HISTORY
- DT_COLLECTION_PROP_COLORLABEL
- DT_COLLECTION_PROP_TITLE
- DT_COLLECTION_PROP_DESCRIPTION
- DT_COLLECTION_PROP_CREATOR
- DT_COLLECTION_PROP_PUBLISHER
- DT_COLLECTION_PROP_RIGHTS
- DT_COLLECTION_PROP_LENS
- DT_COLLECTION_PROP_FOCAL_LENGTH
- DT_COLLECTION_PROP_ISO
- DT_COLLECTION_PROP_APERTURE
- DT_COLLECTION_PROP_FILENAME
- DT_COLLECTION_PROP_GEOTAGGING

< dt_lib_collect_mode_t
dt_collection_sort_t >